Latest Pre-Compiled Android Binaries

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Latest Pre-Compiled Android Binaries

David White
Hello and thanks for any help with this.

I have been using the pre-compiled Android binaries on the download page
for some time. Recently one of my apps had a "missing class" problem and
I thought it might be due to the Sqlite libraries I had been using.
These were dated 12/9/2017 and I saw there was an updated download so I
grabbed it yesterday. When I opened the .aar, I see that while the old
download contained .so files for these abis:
arm64-v8a,armeabi,armeabi-v7a,mips,mips64,x86,x86_64 the new one only
contains .so files for these abis:arm64-v8a,armeabi-v7a,x86,x86_64. I am
not worried too much by the absence of mips but I do wonder about
armabi. I am not sure I fully understand all of this. But I presume
armabi is for old processors. Is there something in the later code that
has changed making armabi no longer supported?

Thanks.

---
This email has been checked for viruses by Avast antivirus software.
https://www.avast.com/antivirus

_______________________________________________
sqlite-users mailing list
[hidden email]
http://mailinglists.sqlite.org/cgi-bin/mailman/listinfo/sqlite-users
Reply | Threaded
Open this post in threaded view
|

Re: Latest Pre-Compiled Android Binaries

Dan Kennedy-4
On 09/04/2018 03:21 AM, David White wrote:

> Hello and thanks for any help with this.
>
> I have been using the pre-compiled Android binaries on the download page
> for some time. Recently one of my apps had a "missing class" problem and
> I thought it might be due to the Sqlite libraries I had been using.
> These were dated 12/9/2017 and I saw there was an updated download so I
> grabbed it yesterday. When I opened the .aar, I see that while the old
> download contained .so files for these abis:
> arm64-v8a,armeabi,armeabi-v7a,mips,mips64,x86,x86_64 the new one only
> contains .so files for these abis:arm64-v8a,armeabi-v7a,x86,x86_64. I am
> not worried too much by the absence of mips but I do wonder about
> armabi. I am not sure I fully understand all of this. But I presume
> armabi is for old processors. Is there something in the later code that
> has changed making armabi no longer supported?


I hadn't noticed that this had happened. Apparently support for armeabi
was removed for NDK r17:

   https://developer.android.com/ndk/guides/abis#sa

Apparently Android itself dropped support in version 4.4.

Did the error you encountered end up being due to the missing armeabi
library? What kind of a device are you deploying to?

I imagine if you install an older version of the NDK with Android studio
and follow method (2) for building the aar file here:

   https://sqlite.org/android/doc/trunk/www/install.wiki

you will get a package that includes armeabi support.

Dan.






>
> Thanks.
>
> ---
> This email has been checked for viruses by Avast antivirus software.
> https://www.avast.com/antivirus
>
> _______________________________________________
> sqlite-users mailing list
> [hidden email]
> http://mailinglists.sqlite.org/cgi-bin/mailman/listinfo/sqlite-users

_______________________________________________
sqlite-users mailing list
[hidden email]
http://mailinglists.sqlite.org/cgi-bin/mailman/listinfo/sqlite-users